Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ServantActivator_out Class Reference

`#include <PortableServerC.h>`

Collaboration diagram for PortableServer::ServantActivator_out:

[legend]
List of all members.

## Public Methods
| ServantActivator_out (ServantActivator_ptr &)
| ServantActivator_out (ServantActivator_var &)
| ServantActivator_out (const ServantActivator_out &)
ServantActivator_out & | operator= (const ServantActivator_out &)
ServantActivator_out & | operator= (const ServantActivator_var &)
ServantActivator_out & | operator= (ServantActivator_ptr)
| operator ServantActivator_ptr & ()
ServantActivator_ptr & | ptr (void)
ServantActivator_ptr | operator-> (void)
## Private Attributes
ServantActivator_ptr & | ptr_

## Constructor & Destructor Documentation

PortableServer::ServantActivator_out::ServantActivator_out | ( | ServantActivator_ptr & |  | ) |

PortableServer::ServantActivator_out::ServantActivator_out | ( | ServantActivator_var & |  | ) |

PortableServer::ServantActivator_out::ServantActivator_out | ( | const ServantActivator_out & |  | ) |

## Member Function Documentation

PortableServer::ServantActivator_out::operator ServantActivator_ptr & | ( |  | ) |

ServantActivator_ptr PortableServer::ServantActivator_out::operator-> | ( | void |  | ) |

ServantActivator_out& PortableServer::ServantActivator_out::operator= | ( | ServantActivator_ptr |  | ) |

ServantActivator_out& PortableServer::ServantActivator_out::operator= | ( | const ServantActivator_var & |  | ) |

ServantActivator_out& PortableServer::ServantActivator_out::operator= | ( | const ServantActivator_out & |  | ) |

ServantActivator_ptr& PortableServer::ServantActivator_out::ptr | ( | void |  | ) |

## Member Data Documentation

ServantActivator_ptr& PortableServer::ServantActivator_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableServerC.h